Package org.drinkless.tdlib

# Class TdApi.ChatJoinRequest

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatJoinRequest

Enclosing class:
  `TdApi`

public static class TdApi.ChatJoinRequest extends TdApi.Object
Describes a user who sent a join request and waits for administrator approval.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `bio`
  A short bio of the user.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `date`
  Point in time (Unix timestamp) when the user sent the join request.
  `long`
  `userId`
  User identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatJoinRequest()`
  Describes a user who sent a join request and waits for administrator approval.
  `ChatJoinRequest(long userId, int date, String bio)`
  Describes a user who sent a join request and waits for administrator approval.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### userId

    public long userId
    User identifier.

  - ### date

    public int date
    Point in time (Unix timestamp) when the user sent the join request.

  - ### bio

    public String bio
    A short bio of the user.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatJoinRequest

    public ChatJoinRequest()
    Describes a user who sent a join request and waits for administrator approval.

  - ### ChatJoinRequest

    public ChatJoinRequest(long userId, int date, String bio)
    Describes a user who sent a join request and waits for administrator approval.
    Parameters:
      `userId` - User identifier.
      `date` - Point in time (Unix timestamp) when the user sent the join request.
      `bio` - A short bio of the user.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR